diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketChunkVisibility.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketChunkVisibility.java
index fd32cdd10..51a0d66b8 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketChunkVisibility.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketChunkVisibility.java
@@ -44,7 +44,7 @@ public class PacketChunkVisibility extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handlePreChunk(this);
+        packetHandler.handleChunkVisibility(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketCommandManager.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketCommandManager.java
index c705faa82..258302571 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketCommandManager.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketCommandManager.java
@@ -179,7 +179,7 @@ public class PacketCommandManager extends Packet {
 
     @Override
     public void handlePacket(PacketHandler packetHandler) {
-        packetHandler.handleCommandManagerPacket(this);
+        packetHandler.handleCommandManager(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerAck.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerAck.java
index 1b8ee3986..fae9fde6b 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerAck.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerAck.java
@@ -21,7 +21,7 @@ public class PacketContainerAck extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleTransaction(this);
+        packetHandler.handleContainerAck(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerClick.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerClick.java
index 01f6267c1..6fb4232e6 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerClick.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerClick.java
@@ -21,7 +21,7 @@ public class PacketContainerClick extends Packet {
 
 	@Override
 	public void handlePacket(PacketHandler packetHandler) {
-		packetHandler.handleWindowClick(this);
+		packetHandler.handleContainerClick(this);
 	}
 
 	@Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerClose.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerClose.java
index 051fe3795..ad6dd06da 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerClose.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerClose.java
@@ -19,7 +19,7 @@ public class PacketContainerClose extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleCloseWindow(this);
+        packetHandler.handleContainerClose(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerOpen.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerOpen.java
index e3edd7dd7..e90642a5e 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerOpen.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerOpen.java
@@ -38,7 +38,7 @@ public class PacketContainerOpen extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleOpenWindow(this);
+        packetHandler.handleContainerOpen(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetContent.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetContent.java
index 70df42e9f..29378c678 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetContent.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetContent.java
@@ -79,7 +79,7 @@ public class PacketContainerSetContent extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleWindowItems(this);
+        packetHandler.handleContainerSetContent(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetData.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetData.java
index eb223f9eb..a95029e60 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetData.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetData.java
@@ -21,7 +21,7 @@ public class PacketContainerSetData extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleUpdateProgressbar(this);
+        packetHandler.handleContainerSetData(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetSlot.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetSlot.java
index 8628ab476..4d879790a 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetSlot.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetSlot.java
@@ -16,7 +16,7 @@ public class PacketContainerSetSlot extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleSetSlot(this);
+        packetHandler.handleContainerSetSlot(this);
     }
     
     public PacketContainerSetSlot(int i, int j, ItemStack itemstack)
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketDisconnect.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketDisconnect.java
index 647248536..e0f0172f1 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketDisconnect.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketDisconnect.java
@@ -43,7 +43,7 @@ public class PacketDisconnect extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleKickDisconnect(this);
+        packetHandler.handleDisconnect(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityEvent.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityEvent.java
index 47a420691..538f2a414 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityEvent.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityEvent.java
@@ -46,7 +46,7 @@ public class PacketEntityEvent extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleEntityStatus(this);
+        packetHandler.handleEntityEvent(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketInteract.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityInteract.java
similarity index 83%
rename from game/core/src/main/java/net/minecraft/core/net/packet/PacketInteract.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityInteract.java
index 1a3fbcb9e..d4739202d 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketInteract.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityInteract.java
@@ -4,7 +4,7 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class PacketInteract extends Packet
+public class PacketEntityInteract extends Packet
 {
     public static final int ACTION_INTERACT = 0;
     public static final int ACTION_ATTACK = 1;
@@ -13,11 +13,11 @@ public class PacketInteract extends Packet
     public int action;
 
 
-    public PacketInteract()
+    public PacketEntityInteract()
     {
     }
 
-    public PacketInteract(int source, int target, int action)
+    public PacketEntityInteract(int source, int target, int action)
     {
         sourceEntityID = source;
         targetEntityID = target;
@@ -45,7 +45,7 @@ public class PacketInteract extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleUseEntity(this);
+        packetHandler.handleEntityInteract(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketFlagOpen.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketFlagOpen.java
index 83f8257f4..d8fd271d6 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketFlagOpen.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketFlagOpen.java
@@ -47,7 +47,7 @@ public class PacketFlagOpen
     @Override
     public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleOpenFlagWindow(this);
+        packetHandler.handleFlagOpen(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketGuidebook.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketGuidebook.java
index fab8fcd93..decdeafd5 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketGuidebook.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketGuidebook.java
@@ -34,7 +34,7 @@ public class PacketGuidebook extends Packet{
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleOpenGuidebook(this);
+        packetHandler.handleGuidebook(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketPreLogin.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketHandshake.java
similarity index 86%
rename from game/core/src/main/java/net/minecraft/core/net/packet/PacketPreLogin.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketHandshake.java
index 5d2c82af7..2dd17cc70 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketPreLogin.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketHandshake.java
@@ -4,16 +4,16 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class PacketPreLogin extends Packet
+public class PacketHandshake extends Packet
 {
     public String username;
 
 
-    public PacketPreLogin()
+    public PacketHandshake()
     {
     }
 
-    public PacketPreLogin(String s)
+    public PacketHandshake(String s)
     {
         username = s;
     }
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketMoveEntity.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketMoveEntity.java
index 5039abcd3..6de0bab8e 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketMoveEntity.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketMoveEntity.java
@@ -42,7 +42,7 @@ public class PacketMoveEntity extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleEntity(this);
+        packetHandler.handleMoveEntity(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketMovePlayer.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketMovePlayer.java
index 4403909a1..0c146122a 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketMovePlayer.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketMovePlayer.java
@@ -26,7 +26,7 @@ public class PacketMovePlayer extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleFlying(this);
+        packetHandler.handleMovePlayer(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySoundEffect.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySound.java
similarity index 86%
rename from game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySoundEffect.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySound.java
index 8ec862afd..43858b2b0 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySoundEffect.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySound.java
@@ -4,14 +4,14 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class PacketPlaySoundEffect extends Packet
+public class PacketPlaySound extends Packet
 {
 
-    public PacketPlaySoundEffect()
+    public PacketPlaySound()
     {
     }
     
-    public PacketPlaySoundEffect(int soundId, int x, int y, int z, int data)
+    public PacketPlaySound(int soundId, int x, int y, int z, int data)
     {
         soundID = soundId;
         this.x = x;
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySoundEffectDirect.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySoundDirect.java
similarity index 86%
rename from game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySoundEffectDirect.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySoundDirect.java
index ad0db67cc..70b6cbd5a 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySoundEffectDirect.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlaySoundDirect.java
@@ -7,7 +7,7 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class PacketPlaySoundEffectDirect extends Packet {
+public class PacketPlaySoundDirect extends Packet {
 	public int soundId;
     public SoundCategory soundType;
     public double x;
@@ -16,11 +16,11 @@ public class PacketPlaySoundEffectDirect extends Packet {
     public float volume;
     public float pitch;
 
-    public PacketPlaySoundEffectDirect()
+    public PacketPlaySoundDirect()
     {
     }
 
-    public PacketPlaySoundEffectDirect(int soundId, SoundCategory soundType, double x, double y, double z, float volume, float pitch)
+    public PacketPlaySoundDirect(int soundId, SoundCategory soundType, double x, double y, double z, float volume, float pitch)
     {
     	this.soundId = soundId;
         this.soundType = soundType;
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerAction.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerAction.java
index 688187e45..bc3288510 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerAction.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerAction.java
@@ -71,7 +71,7 @@ public class PacketPlayerAction extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleBlockDig(this);
+        packetHandler.handlePlayerAction(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerGamemode.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerGamemode.java
index a64162b85..0c1300a96 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerGamemode.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerGamemode.java
@@ -36,7 +36,7 @@ public class PacketPlayerGamemode extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleEntityPlayerGamemode(this);
+        packetHandler.handlePlayerGamemode(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketRecipeSync.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketRecipeSync.java
index 7233ea9d2..7b46bd571 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketRecipeSync.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketRecipeSync.java
@@ -35,7 +35,7 @@ public class PacketRecipeSync extends Packet {
 
     @Override
     public void handlePacket(PacketHandler packetHandler) {
-        packetHandler.handleSyncedRecipe(this);
+        packetHandler.handleRecipeSync(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketRemoveEntity.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketRemoveEntity.java
index 1ce01d896..a7fc1766d 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketRemoveEntity.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketRemoveEntity.java
@@ -33,7 +33,7 @@ public class PacketRemoveEntity extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleDestroyEntity(this);
+        packetHandler.handleRemoveEntity(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketRequestCommandManager.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketRequestCommandManager.java
index 0edb80462..d2da04920 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketRequestCommandManager.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketRequestCommandManager.java
@@ -36,7 +36,7 @@ public class PacketRequestCommandManager extends Packet {
 
     @Override
     public void handlePacket(PacketHandler packetHandler) {
-        packetHandler.handleRequestCommandManagerPacket(this);
+        packetHandler.handleRequestCommandManager(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketServerIcon.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketServerIcon.java
index c9a23364d..5116f4138 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketServerIcon.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketServerIcon.java
@@ -31,7 +31,7 @@ public class PacketServerIcon extends Packet {
 
     @Override
     public void handlePacket(PacketHandler packetHandler) {
-        packetHandler.handleServerIconPacket(this);
+        packetHandler.handleServerIcon(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetCarriedItem.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetCarriedItem.java
index a53b53bb8..294c7afac 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetCarriedItem.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetCarriedItem.java
@@ -33,7 +33,7 @@ public class PacketSetCarriedItem extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleBlockItemSwitch(this);
+        packetHandler.handleSetCarriedItem(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEntityData.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEntityData.java
index 2ee5f6360..893385bd9 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEntityData.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEntityData.java
@@ -39,7 +39,7 @@ public class PacketSetEntityData extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleEntityMetadata(this);
+        packetHandler.handleSetEntityData(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEntityMotion.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEntityMotion.java
index 12a195bf0..4669a52ae 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEntityMotion.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEntityMotion.java
@@ -73,7 +73,7 @@ public class PacketSetEntityMotion extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleEntityVelocity(this);
+        packetHandler.handleSetEntityMotion(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEquippedItem.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEquippedItem.java
index 87b2b88a5..ffea191a1 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEquippedItem.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEquippedItem.java
@@ -61,7 +61,7 @@ public class PacketSetEquippedItem extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handlePlayerInventory(this);
+        packetHandler.handleSetEquippedItem(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHealth.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHealth.java
index c4a94a588..1ce43baf1 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHealth.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHealth.java
@@ -35,7 +35,7 @@ public class PacketSetHealth extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleUpdateHealth(this);
+        packetHandler.handleSetHealth(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHeldObject.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHeldObject.java
index a16e7111d..7ebb66973 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHeldObject.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHeldObject.java
@@ -47,7 +47,7 @@ public class PacketSetHeldObject extends Packet{
 
     @Override
     public void handlePacket(PacketHandler packetHandler) {
-        packetHandler.handlePlayerHeldObject(this);
+        packetHandler.handleSetHeldObject(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetItemName.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetItemName.java
index 1e872140b..bc96d316c 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetItemName.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetItemName.java
@@ -30,7 +30,7 @@ public class PacketSetItemName extends Packet{
 
     @Override
     public void handlePacket(PacketHandler packetHandler) {
-        packetHandler.handleItemName(this);
+        packetHandler.handleSetItemName(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetPaintingArt.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetPaintingArt.java
index 603dc4028..580e37967 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetPaintingArt.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetPaintingArt.java
@@ -36,7 +36,7 @@ public class PacketSetPaintingArt
     @Override
     public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleSetPaintingMotive(this);
+        packetHandler.handleSetPaintingArt(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetRiding.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetRiding.java
index d07180c54..7a2abe0d8 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetRiding.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetRiding.java
@@ -67,7 +67,7 @@ public class PacketSetRiding extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleAttachEntity(this);
+        packetHandler.handleSetRiding(this);
     }
 
     public int passengerId;
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetSpawnPosition.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetSpawnPosition.java
index a1769feb8..2104ca556 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetSpawnPosition.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetSpawnPosition.java
@@ -43,7 +43,7 @@ public class PacketSetSpawnPosition extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleSpawnPosition(this);
+        packetHandler.handleSetSpawnPosition(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetTime.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetTime.java
index a590a32e0..ccc5cf02c 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetTime.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetTime.java
@@ -35,7 +35,7 @@ public class PacketSetTime extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleUpdateTime(this);
+        packetHandler.handleSetTime(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSignUpdate.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSignUpdate.java
index 45d7853c3..91a8c4971 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSignUpdate.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSignUpdate.java
@@ -58,7 +58,7 @@ public class PacketSignUpdate extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleUpdateSign(this);
+        packetHandler.handleSignUpdate(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSyncIDs.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSyncIDs.java
index d37e8f14a..5eee1ac8c 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSyncIDs.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSyncIDs.java
@@ -3,9 +3,6 @@ package net.minecraft.core.net.packet;
 import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
-import java.util.HashMap;
-import java.util.Map;
-import java.util.Map.Entry;
 
 import it.unimi.dsi.fastutil.ints.Int2ObjectMap;
 import it.unimi.dsi.fastutil.ints.Int2ObjectOpenHashMap;
@@ -83,7 +80,7 @@ public class PacketSyncIDs extends Packet {
 
 	@Override
 	public void handlePacket(final PacketHandler packetHandler) {
-		packetHandler.handleIds(this);
+		packetHandler.handleSyncIDs(this);
 	}
 
 	@Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketTakeItemEntity.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketTakeItemEntity.java
index be25131d9..6cd71f0c2 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketTakeItemEntity.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketTakeItemEntity.java
@@ -37,7 +37,7 @@ public class PacketTakeItemEntity extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleCollect(this);
+        packetHandler.handleTakeItemEntity(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketTeleportEntity.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketTeleportEntity.java
index 2b0ba07ae..cc171aa8e 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketTeleportEntity.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketTeleportEntity.java
@@ -66,7 +66,7 @@ public class PacketTeleportEntity extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleEntityTeleport(this);
+        packetHandler.handleTeleportEntity(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketUpdatePlayerState.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketUpdatePlayerState.java
index 9d717edfc..596b23723 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketUpdatePlayerState.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketUpdatePlayerState.java
@@ -37,7 +37,7 @@ public class PacketUpdatePlayerState extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handlePlayerState(this);
+        packetHandler.handleUpdatePlayerState(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketUseOrPlaceItemStack.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketUseOrPlaceItemStack.java
index 8f1f04fe5..f13abb824 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketUseOrPlaceItemStack.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketUseOrPlaceItemStack.java
@@ -4,12 +4,9 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.net.handler.PacketHandler;
 import net.minecraft.core.util.helper.Direction;
-import net.minecraft.core.util.helper.Side;
-import net.minecraft.core.world.World;
 
 public class PacketUseOrPlaceItemStack extends Packet
 {
@@ -123,7 +120,7 @@ public class PacketUseOrPlaceItemStack extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handlePlace(this);
+        packetHandler.handleUseOrPlaceItem(this);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketWeatherEffect.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketWeatherEffect.java
index e1ff54c3a..590eda9e3 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketWeatherEffect.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketWeatherEffect.java
@@ -56,7 +56,7 @@ public class PacketWeatherEffect extends Packet
     @Override
 	public void handlePacket(PacketHandler packetHandler)
     {
-        packetHandler.handleWeather(this);
+        packetHandler.handleWeatherEffect(this);
     }
 
     @Override
